Skitflow
Generated

Github

Skitflow API reference for Github endpoints.

GET
/github.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

githubId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/github.one?githubId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/github.getGithubRepositories

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

githubId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/github.getGithubRepositories?githubId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/github.getGithubBranches

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

repo*string
owner*string
githubId?string

Response Body

application/json

application/json

curl -X GET "https://example.com/github.getGithubBranches?repo=string&owner=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/github.githubProviders

Authorization

Authorization
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/github.githubProviders"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/github.testConnection

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/github.testConnection" \  -H "Content-Type: application/json" \  -d '{    "githubId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/github.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/github.update" \  -H "Content-Type: application/json" \  -d '{    "githubId": "string",    "gitProviderId": "string",    "name": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}